Page MenuHomePhabricator

Echo UI has blurry icons
Open, Needs TriagePublic

Description

OOUI components expect 0.8em (12.8px), not 0.875 (14px), so the icons will render blurry.

Event Timeline

Esanders created this task.Jun 26 2016, 5:42 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 26 2016, 5:42 PM

I disagree. Certainly fixing T97631 would resolve this, but it can also be fixed independently (cf. VisualEditor, Flow)

Esanders reopened this task as Open.Jun 27 2016, 4:31 PM

I disagree. Certainly fixing T97631 would resolve this, but it can also be fixed independently (cf. VisualEditor, Flow)

While we could do that, I'm not sure it's realistic to expect every component that wants to use OOUI to use a different font size than the rest of the skin.

Not in the long term.

matmarex renamed this task from Echo UI uses 0.875em instead of 0.8em to Echo UI has blurry icons.Mar 20 2018, 8:23 PM

This is not quite magically fixed by T97631. Echo has a bunch of weird overrides for font-size and width/height/min-width/min-height, which need to be examined and hopefully deleted.

Restricted Application added a project: Growth-Team. · View Herald TranscriptFeb 26 2019, 8:31 AM